Package org.apache.qpid.proton.amqp.messaging

# Class Received

java.lang.Object
org.apache.qpid.proton.amqp.messaging.Received

All Implemented Interfaces:
  `DeliveryState`

public final class Received extends Object implements DeliveryState

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.DeliveryState

`DeliveryState.DeliveryStateType`

## Constructor Summary

Constructors
Constructor
Description
`Received()`

## Method Summary

Modifier and Type
Method
Description
`UnsignedInteger`
`getSectionNumber()`
`UnsignedLong`
`getSectionOffset()`
`DeliveryState.DeliveryStateType`
`getType()`
`void`
`setSectionNumber(UnsignedInteger sectionNumber)`
`void`
`setSectionOffset(UnsignedLong sectionOffset)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Received

public Received()

## Method Details

### getSectionNumber

public UnsignedInteger getSectionNumber()

### setSectionNumber

public void setSectionNumber(UnsignedInteger sectionNumber)

### getSectionOffset

public UnsignedLong getSectionOffset()

### setSectionOffset

public void setSectionOffset(UnsignedLong sectionOffset)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getType

public DeliveryState.DeliveryStateType getType()

Specified by:
  `getType` in interface `DeliveryState`
Returns:
  the `DeliveryState.DeliveryStateType` that this instance represents.